Skip to main content
GET
get smart contract

Path Parameters

address_hash
string
required

Address hash

Pattern: ^0x([A-Fa-f0-9]{40})$

Response

smart contract

verified_twin_address_hash
string
Example:

"0x394c399dbA25B99Ab7708EdB505d755B3aa29997"

is_verified
boolean
is_changed_bytecode
boolean
is_partially_verified
boolean
is_fully_verified
boolean
is_verified_via_sourcify
boolean
is_verified_via_eth_bytecode_db
boolean
can_be_visualized_via_sol2uml
boolean
minimal_proxy_address_hash
string
Example:

"0x394c399dbA25B99Ab7708EdB505d755B3aa29997"

sourcify_repo_url
string
Example:

"https://sourcify.repo.com/100/link_to_a_contract_at_sourcify"

name
string
Example:

"Cryptostamp3L2"

optimization_enabled
boolean
Example:

false

optimizations_runs
integer
Example:

200

compiler_version
string
Example:

"v0.8.4+commit.c7e474f2"

evm_version
string
Example:

"default"

verified_at
string
Example:

"2021-06-02T17:54:17.116055Z"

abi
string
Example:

"[{\"type\":\"constructor\",\"stateMutability\":\"nonpayable\",\"inputs\":[{\"type\":\"address\",\"name\":\"_bridgeDataAddress\",\"internalType\":\"address\"},{\"type\":\"uint256\",\"name\":\"_finalSupply\",\"internalType\":\"uint256\"},{\"type\":\"uint256[5]\",\"name\":\"_totalColorSupply\",\"internalType\":\"uint256[5]\"}]}]"

source_code
string
Example:

"contract A {}"

file_path
string
Example:

"contract.sol"

compiler_settings
object
Example:
constructor_args
string
Example:

"0x01"

additional_sources
object[]
decoded_constructor_args
object[]
deployed_bytecode
string
Example:

"0x01"

creation_bytecode
string
Example:

"0x02"

external_libraries
object[]
language
string
Example:

"solidity | vyper | yul"

creation_status
string
Example:

"selfdestructed | failed | success"